<script type="text/javascript">
var find = "<?php echo __('Find..', 'satori'); ?>";
</script>

<!-- insert custom Google fonts -->
<?php 
	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_header' ) )) {
			$fontheader = get_option_tree( 'font_header' );
			$fontheaderstr = str_replace(' ', '+', $fontheader);
			$fontheadernew = '<link href="http://fonts.googleapis.com/css?family='.$fontheaderstr.'" rel="stylesheet" type="text/css">';
			echo $fontheadernew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Armata' rel='stylesheet' type='text/css'>";
		} 
	} 

	if ( function_exists( 'get_option_tree' ) ) {
		if ( is_string( get_option_tree( 'font_body' ) )) {
			$fontbody = get_option_tree( 'font_body' );
			$fontbodystr = str_replace(' ', '+', $fontbody);
			$fontbodynew = '<link href="http://fonts.googleapis.com/css?family='.$fontbodystr.'" rel="stylesheet" type="text/css">';
			echo $fontbodynew;  } 
		else {
			echo "<link href='http://fonts.googleapis.com/css?family=Armata' rel='stylesheet' type='text/css'>";
		} 
	}
?>


<!-- function to convert colours from hex into rgb -->
<?php
function hex2rgb($hex) {
   $hex = str_replace("#", "", $hex);
 
   if(strlen($hex) == 3) {
      $r = hexdec(substr($hex,0,1).substr($hex,0,1));
      $g = hexdec(substr($hex,1,1).substr($hex,1,1));
      $b = hexdec(substr($hex,2,1).substr($hex,2,1));
   } else {
      $r = hexdec(substr($hex,0,2));
      $g = hexdec(substr($hex,2,2));
      $b = hexdec(substr($hex,4,2));
   }
   $rgb = array($r, $g, $b);
   //return implode(",", $rgb); // returns the rgb values separated by commas
   return $rgb; // returns an array with the rgb values
}
?>


<!-- count the number of active widgets -->
<?php
function count_widgets($loc) {
	$sidebar_widgets = wp_get_sidebars_widgets();
	$num_widgets = 0;
	foreach ( (array) $sidebar_widgets as $k => $v ){
		if ($loc != $k)
		continue;
		if ( is_array($v))
		$num_widgets = $num_widgets + count($v);
		}
		return $num_widgets;
	}
	$count2 = count_widgets('sidebar-2');
	if($count2 != 0) { $percentage2 = (100/$count2) - 5; }
	$count3 = count_widgets('sidebar-3');
	if($count3 >1) { $percentage3 = (100/$count3) - 5; } elseif($count3=1) { $percentage3 = 100; }
	$count4 = count_widgets('sidebar-4');
	if($count4 >1) { $percentage4 = (100/$count4) - 5; } elseif($count4=1) { $percentage4 = 100; }
?>

<!--[if IE 7]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage2)) { echo $percentage2."%;"; } ?> } </style>
<![endif]-->

<!--[if IE 8]>
<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/ie8.css">
<style type="text/css"> #footer-widget-area .widget-footer { width: <?php if(isset($percentage2)) { echo $percentage2."%;"; } ?> } </style>
<![endif]-->

<!-- image slider code -->
<?php 
if ( function_exists( 'get_option_tree' ) ) {
	if (is_string(get_option_tree( 'orbit_animation' ))) $orbit_a = get_option_tree( 'orbit_animation' ); else $orbit_a = "fade";
	if (is_numeric(get_option_tree( 'orbit_transition_time' )))  $orbit_tt = get_option_tree( 'orbit_transition_time' ); else $orbit_tt = 4000; 
	if ( get_option_tree( 'orbit_captions' ) == "Yes" ) $orbit_c = "true"; else $orbit_c = "false";
}

if ( function_exists( 'get_option_tree' ) ) {
?>
	<script type="text/javascript">   
	var $j = jQuery.noConflict();
	$j(function(){ 
	$j(window).load(function() 
	{         
	$j("#featured").orbit({
	bullets: true,
	animation: '<?php echo $orbit_a; ?>',
	animationSpeed: 600, 
	advanceSpeed: <?php echo $orbit_tt; ?>,   // how fast animations are
	timer: true,
	captions: <?php echo $orbit_c; ?>
    });
   	});
	});
	</script>
<?php } ?>

<!-- Expanding slider code --> 
<?php
if ( function_exists( 'get_option_tree' ) ) {
	if ( is_string( get_option_tree( 'expanding_slidingspeed' ) )) {
		$expsliderspeed = get_option_tree( 'expanding_slidingspeed' );
	}
	else {
		$expsliderspeed = 500;
	}
}
if ( function_exists( 'get_option_tree' ) ) {
	if ( is_string( get_option_tree( 'expanding_itemspeed' ) )) {
		$expitemspeed = get_option_tree( 'expanding_itemspeed' );
	}
	else {
		$expitemspeed = 500;
	}
}
echo '<script type="text/javascript"> jQuery(document).ready(function ($) { $("#ca-container").contentcarousel({ sliderSpeed:'.$expsliderspeed.',sliderEasing:"easeOutExpo",itemSpeed:'.$expitemspeed.',itemEasing:"easeOutExpo",scroll:1}); });</script>' ;

?>

<!-- Google Analytics code -->
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php if ( function_exists( 'get_option_tree' ) )  { echo get_option_tree( 'google_analytics' ); } ?>']);
  _gaq.push(['_trackPageview']);
  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>

<!-- Resize image background -->
<?php if (function_exists( 'get_option_tree' ) &&  get_option_tree('background' ) == "Stretched image") { ?>
<script type="text/javascript">
resizeBG = function() {
    var image = $('#page-background img');
    image.removeAttr("width"); 
    image.removeAttr("height");
    var imageWidth = image.attr('width') || image.width();
    var imageHeight = image.attr('height') || image.height();
    var ratio = imageHeight / imageWidth;
    
    var h = $(window).height();
    var w = $(window).width();
    
    $('#page-background img, #page-background').css('width', w);
    $('#page-background img, #page-background').css('height', w * ratio);
	$('#page-background').css('visibility', 'visible');
}

$(window).load( resizeBG );
$(window).resize( resizeBG );
</script>
<?php } ?>


<!-- Scroll to top button -->
<script type='text/javascript'> 
var totop = <?php echo '"'.__('Scroll Back to Top', 'satori').'"'; ?>;
var scrolltotop={
	//startline: Integer. Number of pixels from top of doc scrollbar is scrolled before showing control
	//scrollto: Keyword (Integer, or "Scroll_to_Element_ID"). How far to scroll document up when control is clicked on (0=top).
	setting: {startline:100, scrollto: 0, scrollduration:1000, fadeduration:[500, 100]},
	controlHTML: '<div class="scrolltop"></div>', //HTML for control, which is auto wrapped in DIV w/ ID="topcontrol"
	controlattrs: {offsetx:63, offsety:10}, //offset of control relative to right/ bottom of window corner
	anchorkeyword: '#top', //Enter href value of HTML anchors on the page that should also act as "Scroll Up" links

	state: {isvisible:false, shouldvisible:false},

	scrollup:function(){
		if (!this.cssfixedsupport) //if control is positioned using JavaScript
			this.$control.css({opacity:0}) //hide control immediately after clicking it
		var dest=isNaN(this.setting.scrollto)? this.setting.scrollto : parseInt(this.setting.scrollto)
		if (typeof dest=="string" && jQuery('#'+dest).length==1) //check element set by string exists
			dest=jQuery('#'+dest).offset().top
		else
			dest=0
		this.$body.animate({scrollTop: dest}, this.setting.scrollduration);
	},

	keepfixed:function(){
		var $window=jQuery(window)
		var controlx=$window.scrollLeft() + $window.width() - this.$control.width() - this.controlattrs.offsetx
		var controly=$window.scrollTop() + $window.height() - this.$control.height() - this.controlattrs.offsety
		this.$control.css({left:controlx+'px', top:controly+'px'})
	},

	togglecontrol:function(){
		var scrolltop=jQuery(window).scrollTop()
		if (!this.cssfixedsupport)
			this.keepfixed()
		this.state.shouldvisible=(scrolltop>=this.setting.startline)? true : false
		if (this.state.shouldvisible && !this.state.isvisible){
			this.$control.stop().animate({opacity:1}, this.setting.fadeduration[0])
			this.state.isvisible=true
		}
		else if (this.state.shouldvisible==false && this.state.isvisible){
			this.$control.stop().animate({opacity:0}, this.setting.fadeduration[1])
			this.state.isvisible=false
		}
	},
	
	init:function(){
		jQuery(document).ready(function($){
			var mainobj=scrolltotop
			var iebrws=document.all
			mainobj.cssfixedsupport=!iebrws || iebrws && document.compatMode=="CSS1Compat" && window.XMLHttpRequest //not IE or IE7+ browsers in standards mode
			mainobj.$body=(window.opera)? (document.compatMode=="CSS1Compat"? $('html') : $('body')) : $('html,body')
			mainobj.$control=$('<div id="topcontrol" style="z-index:100">'+mainobj.controlHTML+'</div>')
				.css({position:mainobj.cssfixedsupport? 'fixed' : 'absolute', bottom:mainobj.controlattrs.offsety, right:mainobj.controlattrs.offsetx, opacity:0, cursor:'pointer'})
				.attr({title:totop})
				.click(function(){mainobj.scrollup(); return false})
				.appendTo('body')
			if (document.all && !window.XMLHttpRequest && mainobj.$control.text()!='') //loose check for IE6 and below, plus whether control contains any text
				mainobj.$control.css({width:mainobj.$control.width()}) //IE6- seems to require an explicit width on a DIV containing text
			mainobj.togglecontrol()
			$('a[href="' + mainobj.anchorkeyword +'"]').click(function(){
				mainobj.scrollup()
				return false
			})
			$(window).bind('scroll resize', function(e){
				mainobj.togglecontrol()
			})
		})
	}
}

scrolltotop.init()
</script>


<!-- Submenu Animation -->
<script type="text/javascript">
var $submenu = jQuery.noConflict();

$submenu(function(){	
	$submenu('#nav-primary ul li:not(li li)').hover(
		function () {
			//show its submenu
			$submenu('> ul', this).prepend('<div class="submenuline"></div>');
			$submenu('.submenuline').height($submenu('> ul', this).height());
			$submenu('.submenuline').width($submenu(window).width());
			$submenu('> ul', this).show(10);
			var suboff = $submenu(this).offset();
			var submar = suboff.left * -1;
			$submenu('#nav-primary ul > .submenuline').css('margin-left', submar);
			$submenu('> a', this).css('background-color', '<?php if ( function_exists( 'get_option_tree' ) && is_string(get_option_tree('header_menu_background'))) { echo get_option_tree('header_menu_background'); } else { echo "#9999ff"; } ?>');
			$submenu('> a', this).css('color', '<?php if ( function_exists( 'get_option_tree' ) && get_option_tree('header_menu_text_hover')!="") { echo get_option_tree('header_menu_text_hover'); } else { echo "#000000"; } ?>');
		}, 
		function () {
			//hide its submenu
			$submenu('.submenuline').remove();
			$submenu('ul', this).hide(10);
			$submenu('> a', this).css('background', 'none');
			$submenu('> a', this).css('color', '<?php if ( function_exists( 'get_option_tree' ) && get_option_tree('header_menu_color')!="") { echo get_option_tree('header_menu_color'); } else { echo "#ffffff"; } ?>');
		}
	);
	
	$submenu('#nav-primary ul.main-menu > li > ul > li').hover(
		function () {
			//show its submenu
			$submenu('> ul', this).prepend('<div class="submenuline"></div>');
			$submenu('#nav-primary ul li ul .submenuline').height($submenu('> ul', this).height());
			$submenu('#nav-primary ul li ul .submenuline').width($submenu(window).width());
			var suboff2 = $submenu(this).offset();
			var submar2 = suboff2.left * -1;
			$submenu('#nav-primary ul li ul li ul .submenuline').css('margin-left', submar2);
			$submenu('> ul', this).show(10);
		}, 
		function () {
			//hide its submenu
			$submenu('> ul', this).hide(10);
		}
	);
	
		$submenu('.widget_nav_menu ul li').hover(
		function () {
			//show its submenu
			$submenu('ul', this).slideDown(200);

		}, 
		function () {
			//hide its submenu
			$submenu('ul', this).slideUp(200);			
		}
	);
});
</script>


<!-- Divider width -->
<?php if ( is_page_template('page_full-width.php') || is_page_template('front-page.php')) { ?>
<script type="text/javascript">
var $divider = jQuery.noConflict();
$divider(function(){
	$divider(document).ready(
		function () {
			var pagewidth = $divider(window).width();
			$divider('.su-divider').css({"width":pagewidth,"position":"absolute"});
		}
	);
	$divider(window).resize(
		function () {
			var pagewidth = $divider(window).width();
			$divider('.su-divider').css("width",pagewidth);	
		}
	);
});
</script>
<?php } ?>


<!-- Top section freeze -->
<?php  
if(function_exists('get_option_tree') && get_option_tree('top_fix')=="Yes") { ?>
<style type="text/css">
.opaque { <?php if(function_exists('get_option_tree') && is_string(get_option_tree('header_background'))) { echo "background-color:".get_option_tree('header_background')." !important;"; } else { echo 'background-color:#000000 !important'; } ?> }
</style>
<script type="text/javascript">
var $tops = jQuery.noConflict();
$tops(function(){
	$tops(window).scroll(function () {
	if ( $tops(window).width() > 767 ) {
	  var he = $tops('#header-above').height();
	  var hea = $tops('#header-wrap').height();
	  if ($tops(window).scrollTop() > he) {
		  $tops('#header-wrap').addClass('fixedtop');
		  $tops('#topfix').css('height',hea+he-10+'px');
		  $tops('#header-above').hide();
		  $tops('#header').addClass('opaque header-border');
	  }
	  else {
		  $tops('#header-wrap').removeClass('fixedtop');
		  $tops('#header-above').show();	
		  $tops('#topfix').css('height','0px');
		  $tops('#header').removeClass('opaque header-border');
		  $tops('#background-controls').css("margin-top",'310px');
	  }
	}
	else {	
		var mh = $tops('#header-wrap').height()-$tops('.dropdown-menu').height()
		if ($tops(window).scrollTop() > mh) {
			$tops('.dropdown-menu').addClass('fixedtop');
			$tops('#topfix').css('height','0px');
			$tops('#header-wrap').removeClass('fixedtop');
			$tops('#header').removeClass('opaque header-border');	
			$tops('.dropdown-menu').css('margin-top','0px');
		}
		else {
			$tops('.dropdown-menu').removeClass('fixedtop');
			$tops('#topfix').css('height','0px');
			$tops('#header-above').show();
			$tops('#header-wrap').removeClass('fixedtop');	
			$tops('#header').removeClass('opaque header-border');
			$tops('.dropdown-menu').css('margin-top','10px');	
		}
	}
	});
});
</script>
<?php } ?>


<!-- Mobile menu padding -->
<script type="text/javascript">
var $mm = jQuery.noConflict();
$mm(function(){
	$mm(document).ready(function () {
		var mw = $mm('#content').offset();
		$mm('.mobilemenu .dropdown-menu').css('padding-left',mw.left+'px');
	});
	$mm(window).resize(function () {
		var mw = $mm('#content').offset();
		$mm('.mobilemenu .dropdown-menu').css('padding-left',mw.left+'px');
	});
});
</script>


<!-- Orbit slider height on browser resize -->
<script type="text/javascript">
var $oo = jQuery.noConflict();
$oo(function(){
	$oo(document).ready(function () {
		var ow = $oo('#orbit-slider .container_orbit .orbit-wrapper img').height();
		$oo('#orbit-slider .container_orbit .orbit-wrapper').css('height',ow+'px');
		$oo('#orbit-slider .container_orbit .orbit-wrapper .orbit').css('height',ow+'px');
	});
	$oo(window).resize(function () {
		var ow = $oo('#orbit-slider .container_orbit .orbit-wrapper img').height();
		$oo('#orbit-slider .container_orbit .orbit-wrapper').css('height',ow+'px');
		$oo('#orbit-slider .container_orbit .orbit-wrapper .orbit').css('height',ow+'px');
	});
});
</script>